<?php

namespace Drp\SimpleCms\Generators\Crud\Simple\Admin;

use Drp\SimpleCms\Generators\Crud\Core;
use Illuminate\Support\Str;

class Menu
{
    public static function create(string $name, ?string $prefixPath = null): void
    {
        $path = base_path('config/adminlte.php');
        $name = Str::plural(ucfirst($name));

        if (!Core::shouldModify($path, "'url' => 'admin/{$prefixPath}" . strtolower($name) . "',\n")) {
            return;
        }

        $file = file_get_contents($path);

        $file = str_replace("'menu' => [\n", join('', [
            "'menu' => [\n",
            "        [\n",
            "            'text' => '$name',\n",
            "            'url' => 'admin/{$prefixPath}" . strtolower($name) . "',\n",
            "            'icon' => 'cubes',\n",
            "        ],\n",
        ]), $file);
        file_put_contents($path, $file);
    }
}
