<?php

namespace Drp\SimpleCms\Generators\Crud\Simple;

use Drp\SimpleCms\Generators\Crud\Core;

class Policy
{
    public static function create(string $type): void
    {
        $serviceProviderPath = base_path('app/Providers/AuthServiceProvider.php');
        $namespace = "namespace App\\Providers;\n\n";
        $use = "use App\\Models\\$type;";

        if (!Core::shouldModify($serviceProviderPath, $use)) {
            return;
        }

        $replace = [
            $namespace => $namespace . "{$use}\nuse App\\Policies\\${type}Policy;\n",
            "protected \$policies = [\n" => "protected \$policies = [\n        $type::class => ${type}Policy::class,\n",
        ];

        $policies = str_replace(array_keys($replace), $replace, file_get_contents($serviceProviderPath));

        file_put_contents($serviceProviderPath, $policies);
    }
}
